Skip to main content
GET
/
api
/
v2
/
wallet
/
passes
/
{pass_id}
/
status
Get wallet pass status
curl --request GET \
  --url https://api.zupy.com/api/v2/wallet/passes/{pass_id}/status/ \
  --header 'X-API-Key: <api-key>'
{
  "data": {
    "id": "<string>",
    "pass_type": "<string>",
    "platform": "<string>",
    "status": "<string>",
    "customer_id": "<string>",
    "title": "<string>",
    "installed_devices": 123,
    "last_updated": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z"
  },
  "meta": {
    "cursor": "<string>",
    "has_next": true,
    "count": 123
  }
}

Authorizations

X-API-Key
string
header
required

API key for partner access via APISIX key-auth plugin

Path Parameters

pass_id
string
required

Pass KSUID

Response

data
object
required

Detailed wallet pass status for a specific pass.

meta
object
required

Cursor-based pagination metadata matching envelope middleware output.